Package it.ernytech.tdlib

## Class TdApi.SearchSecretMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchSecretMessages

Enclosing class:
  TdApi

    public static class TdApi.SearchSecretMessages
    extends TdApi.Function

Searches for messages in secret chats. Returns the results in reverse chronological order. For optimal performance the number of returned messages is chosen by the library.

Returns `FoundMessages`

### Field Summary

Fields
`long` `chatId` Identifier of the chat in which to search.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.SearchMessagesFilter` `filter` A filter for the content of messages in the search results.
`long` `fromSearchId` The identifier from the result of a previous request, use 0 to get results from the beginning.
`int` `limit` Maximum number of messages to be returned; up to 100.
`java.lang.String` `query` Query to search for.

### Constructor Summary

Constructors
`SearchSecretMessages()` Default constructor.
`SearchSecretMessages​(long chatId, java.lang.String query, long fromSearchId, int limit, TdApi.SearchMessagesFilter filter)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat in which to search. Specify 0 to search in all secret chats.

#### query

    public java.lang.String query

Query to search for. If empty, searchChatMessages should be used instead.

#### fromSearchId

    public long fromSearchId

The identifier from the result of a previous request, use 0 to get results from the beginning.

#### limit

    public int limit

Maximum number of messages to be returned; up to 100. Fewer messages may be returned than specified by the limit, even if the end of the message history has not been reached.

#### filter

    public TdApi.SearchMessagesFilter filter

A filter for the content of messages in the search results.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchSecretMessages

    public SearchSecretMessages()

Default constructor.

#### SearchSecretMessages

    public SearchSecretMessages​(long chatId,
                                java.lang.String query,
                                long fromSearchId,
                                int limit,
                                TdApi.SearchMessagesFilter filter)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat in which to search. Specify 0 to search in all secret chats.
  `query` - Query to search for. If empty, searchChatMessages should be used instead.
  `fromSearchId` - The identifier from the result of a previous request, use 0 to get results from the beginning.
  `limit` - Maximum number of messages to be returned; up to 100. Fewer messages may be returned than specified by the limit, even if the end of the message history has not been reached.
  `filter` - A filter for the content of messages in the search results.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR